// -*-C++-*-
/*!
 * @file  TalkerMngSVC_impl.h
 * @brief Service implementation header of TalkerMng.idl
 * @date  $Date: 2007/01/11 07:44:39 $
 *
 * $Id: cxx_svc_impl.py,v 1.3 2007/01/11 07:44:39 n-ando Exp $
 */

#include "TalkerMngSkel.h"

#include	"CNameTable.h"

#ifndef TALKERMNGSVC_IMPL_H
#define TALKERMNGSVC_IMPL_H
 
/*
 * Example class implementing IDL interface TalkerMng
 */
class TalkerMngSVC_impl
 : public virtual POA_TalkerMng,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~TalkerMngSVC_impl();

   CNameTable m_cTable;

 public:
   // standard constructor
   TalkerMngSVC_impl();
   virtual ~TalkerMngSVC_impl();

   // attributes and operations
   CORBA::Long GetID(const char* sName);
   char* GetName(CORBA::Long lID);

};



#endif // TALKERMNGSVC_IMPL_H


