/*
  @file   CWaveData.h
  @brief  wavet@C̃f[^NX(wb_t@C)
  @author AdIn Research,Inc
  @date   2007/03/10
*/

#ifndef __C_WAVE_DATA_H__
#define __C_WAVE_DATA_H__

class CWaveData
{
private:
  int    m_iSize;
  short* m_pData;

  void clear( void );

public:
  CWaveData( void );
  ~CWaveData( void );

  bool Load( const char* sPath );
  bool Save( const char* sPath, int iSamplingRate, int iSize, const short* pData );
  int GetCount( void );
  const short* GetData( void );
};
#endif // __C_WAVE_DATA_H__
