#!/bin/sh
# 
# @file stop.sh
# @brief Kill all processes started by gui.sh / cui.sh / mic.sh / file.sh
# @author AdinResearch,Inc
#

rnaportpid=`ps -C "BetaRnaPortComp" -o pid=`
if test -n "$rnaportpid"; then
    kill $rnaportpid
    echo "BetaRnaPortComp stopped."
fi

rnaservicepid=`ps -C "BetaRnaServiceComp" -o pid=`
if test -n "$rnaservicepid"; then
    kill $rnaservicepid
    echo "BetaRnaServiceComp stopped."
fi

rnacntpid=`ps -C "BetaRnaCntlComp" -o pid=`
if test -n "$rnacntpid"; then
    kill $rnacntpid
    echo "BetaRnaCntlComp stopped."
fi

charactpid=`ps -C "CharactComp" -o pid=`
if test -n "$charactpid"; then
    kill $charactpid
    echo "CharactComp stopped."
fi

resultpid=`ps -C "ResultComp" -o pid=`
if test -n "$resultpid"; then
    kill $resultpid
    echo "ResultComp stopped."
fi

talkmanagepid=`ps -C "TalkerManageComp" -o pid=`
if test -n "$talkmanagepid"; then
    kill $talkmanagepid
    echo "TalkerManageComp stopped."
fi

voiceinmicpid=`ps -C "VoiceInMicComp" -o pid=`
if test -n "$voiceinmicpid"; then
    kill $voiceinmicpid
    echo "VoiceInMicComp stopped."
fi

voiceinfilepid=`ps -C "VoiceInFileComp" -o pid=`
if test -n "$voiceinfilepid"; then
    kill $voiceinfilepid
    echo "VoiceInFileComp stopped."
fi

stdinpid=`ps -C "StdInComp" -o pid=`
if test -n "$stdinpid"; then
    kill $stdinpid
    echo "StdInComp stopped."
fi

cuipid=`ps -C "CUIComp" -o pid=`
if test -n "$cuipid"; then
    kill $cuipid
    echo "CUIComp stopped."
fi

guipid=`ps -C "GUIComp" -o pid=`
if test -n "$guipid"; then
    kill $guipid
    echo "GUIComp stopped."
fi

omnipid=`ps -C "omniNames" -o pid=`
if test -n "$omnipid"; then
    kill $omnipid
    echo "Naming service stopped."
fi
