/*
  @file   CNameTable.h
  @brief  Oe[uNX
  @author AdIn Research,Inc
  @date   2007/02/21
*/

#ifndef __C_NAME_TABLE_H__
#define __C_NAME_TABLE_H__

#define NS_NAME_LEN     (64)          // O̍ő啶
#define NS_TABLE_MAX    (128)         // ̂̍ő吔
#define NS_SAVE_FILE    "NameSet.txt" // Oe[ut@C


struct tOneSet
{
 char sName[ NS_NAME_LEN ];
};


class CNameTable
{
private:
  int       m_iUse;
  tOneSet   m_aSet[ NS_TABLE_MAX ];

  bool save( void );
  bool load( void );
  int search( const char* sName );

public:
  CNameTable( void );
  ~CNameTable( void );

  int GetID( const char* sName );
  const char* GetName( int iID );
};
#endif // __C_NAME_TABLE_H__

